<template>
    <div :class="[
        'custom-button',
        size === 'small' ? 'custom-button--small' : '',
        color === 'danger' ? 'custom-button--danger' : '',
        color === 'primary' ? 'custom-button--primary' : '',
        color === 'secondary' ? 'custom-button--secondary' : '',
        color === 'success' ? 'custom-button--success ' : '',
        color === 'info' ? 'custom-button--info ' : '',
        color === 'table-btn' ? 'custom-button--table-btn ' : '',
        disabled ? 'custom-button--disabled' : ''
    ]" :disabled="disabled">
        <v-icon v-if="icon" :class="icon"></v-icon>
        {{ val }}
        <v-icon v-if="color == 'table-btn'" :id="id" style="color: #00468A;">mdi-chevron-{{ arrow }}</v-icon>&nbsp;
    </div>
   
</template>
  
<script>

export default {
    name: 'CustomButton',
    props: {
        size: {
            type: String,
            default: 'medium',
            validator: value => ['small', 'medium', 'large'].includes(value)
        },
        color: {
            type: String,
            default: 'primary',
            validator: value => ['primary', 'secondary'].includes(value)
        },
        disabled: {
            type: Boolean,
            default: false
        },
        icon: {
            type: String,
            default: null
        },
        to: {
            type: String,
        },
        val: {
            type: String
        },
        arrow: {
            type: String
        },
        id:{
            type:String
        }
    },
}
</script>
  
<style scoped>
.custom-button {
    display: inline-block;
    padding: 8px 16px;
    font-size: 16px !important;
    font-weight: 500;
    border-radius: 4px;
    border: 2px solid transparent;
    transition: all 0.2s ease-in-out;
    cursor: pointer;
    outline: none;
    text-align: center;
}

.custom-button--small {
    font-size: 14px;
    padding: 4px 8px;
}

.custom-button--table-btn {
    padding: unset !important;
    color: #004fa3;
    background: rgba(0, 0, 0, 0);
    border-radius: 9px;
    font-weight: 700;
    font-size: 14px !important;
}

.custom-button--primary {
    color: #fff;
    background: #00468A;
    border-radius: 9px;
}

.custom-button--secondary {
    color: #00468A;
    background: #eaf5ff;
    border-radius: 9px;

}

.custom-button--danger {
    color: #fff;
    background: #dc3545;
    border-radius: 9px;
}

.custom-button--success {
    color: #fff;
    background: #28a745;
    border-radius: 9px;
}

.custom-button--info {
    color: #fff;
    background: #17a2b8;
    border-radius: 9px;
}


.custom-button:hover {
    background-color: #EAF4FF;
    color: #00468A;
}

.custom-button--disabled {
    cursor: default;
    opacity: 0.6;
}

@media (max-width:1024px) {}
</style>
  